import org.omg.CORBA.*;
import org.omg.CosEventComm.*;
import org.omg.PortableServer.*;

import Convertisseur5.*;

public class PushConsumerImpl extends PushConsumerPOA {

	private String name;
	private POA poa;

	public PushConsumerImpl(String name, POA poa) {
		this.name = name;
		this.poa = poa;
	}
	
	public void push(Any event) throws Disconnected {
		if (event.type().kind() == TCKind.tk_string) {
			System.out.println("Evenement de type string recu : "
					+ event.extract_string());
		}
		else {
			System.out.println("Evenement de type Event recu : ");
			System.out.println("Valeur = " +
					EventHelper.extract(event).valeur);
			System.out.println("Message = " +
					EventHelper.extract(event).message);			
		}
	}
	
	public void disconnect_push_consumer() {
		System.out.println("Deconnexion de l'objet : " + name);
		try {
			poa.deactivate_object(name.getBytes());
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
	}
}
