#include <iostream>
#include "PushSupplierImpl.h"

using namespace std;

static const char *exception_message = "";

void PushSupplierImpl::disconnect_push_supplier()
{
	cout << "Deconnexion de l'objet : " << m_name << endl;

	exception_message = "Erreur de deconnexion d'objet";
	PortableServer::ObjectId_var oid = PortableServer::string_to_ObjectId(m_name.c_str());
	try
	{
		m_POA->deactivate_object(oid);
	}
	catch (CORBA::Exception& ex)
	{
		ACE_ERROR((LM_ERROR, "PushSupplierImpl::disconnect_push_supplier - %s\n", exception_message));
		ACE_PRINT_EXCEPTION(ex, "Exception");
	}
}
